set -e
sudo dpkg --add-architecture i386
sudo apt update
sudo apt install -y \
    zsh curl wget vim fd-find bat git keepassxc-full borgbackup vorta kitty \
    guake flatpak chromium python3 python-is-python3 tmux borgbackup \
    lsd fzf btop htop tldr gnome-software-plugin-flatpak syncthing-gtk \
    syncthing lutris krita gimp fprintd libpam-fprintd git-lfs locate \
    deb-gview gconf2 geary bvi xxd gnome-applets gnome-colors \
    gnome-remote-desktop gnome-shell-extension-gsconnect \
    gnome-shell-extension-manager gnome-shell-extension-runcat binutils \
    build-essential linux-base lolcat gdb hunspell debian-keyring checkinstall \
    zoxide wl-clipboard libasound2-dev libdbus-1-dev software-properties-gtk \
    trash-cli gnome-shell-extension-manager fuse fonts-firacode \
	fastfetch ripgrep wget gnupg2 gnupg-agent dirmngr cryptsetup scdaemon pcscd \
    yubikey-personalization yubikey-manager yubioath-desktop yubikey-touch-detector \
	yubikey-agent tree gnupg gnupg-agent scdaemon pcscd rust-clippy rustc cargo \
	cargo-doc wine dpf-plugins-vst3 dragonfly-reverb-vst3 lsp-plugins-vst3 \
	zam-plugins ibus-anthy python3-venv debian-keyring steam-devices
flatpak remote-add --if-not-exists flathub https://dl.flathub.org/repo/flathub.flatpakrepo
flatpak install -y \
    md.obsidian.Obsidian \
    org.signal.Signal \
    org.libretro.RetroArch \
    org.inkscape.Inkscape \
    com.rustdesk.RustDesk \
    dev.deedles.Trayscale \
    com.valvesoftware.Steam.CompatibilityTool.Proton-GE \
    com.valvesoftware.Steam \
	dev.vencord.Vesktop \
	org.gnome.Fractal \
	com.vivaldi.Vivaldi

sudo apt upgrade -y
